import { render, unmountComponentAtNode } from "react-dom";
import SensorList from '../routes/SensorList';
import { BrowserRouter } from "react-router-dom";
import { screen } from "@testing-library/react";

let container = null;
beforeEach(() => {
  // met en place un élément DOM comme cible de rendu
  container = document.createElement("div");
  document.body.appendChild(container);
});

afterEach(() => {
  // nettoie en sortie de test
  unmountComponentAtNode(container);
  container.remove();
  container = null;
});
